⁍ MatchMove Banking Operating System

Sections

Theme switcher

Get transaction details of cards

Header Parameters

X-Auth-User-IDstring

User Hash id for which card transactions will load

X-Auth-User-IDstring Required

The user_id of the user returned via GET /users

Authorizationstring

Query Parameters

date_rangestring

Limit transactions based on date range. Example: date_range=20141220,20150131.

Max length
21
limitstring

Number of transactions return per page (Default 5)

Max length
2
Default value
5
sortstring

Comma delimited sorting of the result according to amount, date.added and date.expiry. Example: sort=+amount,-date.added,-date.expiry. Only works for in house balance products.

Max length
32
event_codesstring

Filter transactions according to transaction types. Values can be: [fund_load for fund load and fund_unload for fund unload]. if not passed, both will fetched.

Default value
all
Enum values:
allfund_loadfund_unload
Empty value:
True

Path Parameters

card_idstring Required

The card_id for which the information is being retrieved.

pagestring Required

Page number of the data set returned

Response

200
Object
OK

Response Attributes

transactionsarray
Max items
10
Allow unique items
true

Show child attributes

records_per_pageinteger Required

Records per page returned. Echoed back from the request param

pageinteger Required

Page number of the transactions returned

total_recordsinteger Required

Total number of records for the query params

400
Object
Bad Request | Code | Description | | resource_card_hash_id_invalid | Invalid card `hash_id` |

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden | Code | Description | | :--- | :---------- | | restricted_resource | Access with method `POST` denied |

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
404
Object
Resource not found | Code | Description | | :--- | :---------- | | resource_not_found | The requested URL was not found |

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
500
Object
Internal Server Error

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
502
Object
Bad Gateway

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
503
Object
External Service Error

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
504
Object
Gateway Timeout

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?